mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇸🇪_SE_瑞典
    type: vless
    server: 87.121.105.33
    port: 443
    uuid: a9a91808-8e7a-4f8d-9658-ab1b94f199e8
    servername: deepl.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: 4HjtN0YBEbiECAB-A-arFQUHlozgxpSEZx5g4436fF4
      short-id: 99cf4c707e103c1e
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 185.229.191.157
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇸🇪_SE_瑞典_1
    type: vless
    server: 79.127.249.221
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇹🇷_TR_土耳其
    type: vless
    server: 87.249.139.247
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇬🇧_GB_英国
    type: vless
    server: 152.233.28.202
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.42
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
    type: vless
    server: 176.109.94.202
    port: 9443
    uuid: 71b03803-5dfe-4dac-8406-a06e94b1bd70
    network: ws
    servername: mms-2tets.hysteria.ltd
    tls: true
    client-fingerprint: qq
    ws-opts:
      path: /ws
    skip-cert-verify: true
    udp: true
  - name: 🇻🇳_VN_越南
    type: vmess
    server: 160.250.247.70
    port: 49178
    uuid: d7c13e10-2ba9-4677-a877-d9e9d1738394
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: http
    http-opts:
      path:
        - /
      headers:
        Host:
          - varzesh3.com
    udp: true
  - name: 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
    type: vmess
    server: v36.hdacd.com
    port: 30836
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇦_UA_乌克兰
    type: vless
    server: 143.244.45.50
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.45
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇷🇴_RO_罗马尼亚
    type: vless
    server: 95.173.199.83
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_1
    type: vless
    server: 185.229.191.13
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国
    type: vless
    server: josni.hoyes.cloudns.ch
    port: 2053
    uuid: 83afd88f-200f-4d89-bfc7-66eff160c1d8
    network: ws
    tls: true
    skip-cert-verify: true
    udp: true
  - name: 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
    type: vmess
    server: v29.hdacd.com
    port: 30829
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.42
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.42
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇹🇷_TR_土耳其_1
    type: vless
    server: 87.249.139.233
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_2
    type: vless
    server: 185.229.191.68
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇷🇴_RO_罗马尼亚_1
    type: vless
    server: 95.173.199.106
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_1
    type: vless
    server: 172.67.176.31
    port: 8080
    uuid: b3a5f201-eeaf-40c8-909c-72f4860cefc8
    network: ws
    tls: false
    ws-opts:
      path: /eyJqdW5rIjoiUWtMSnFJZFM2S3JnIiwicHJvdG9jb2wiOiJ2bCIsIm1vZGUiOiJwcmVmaXgiLCJwYW5lbElQcyI6W119
      headers:
        Host: orange-bonus-abd9.dalvandimohammadmahdi.workers.dev
    skip-cert-verify: true
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇸🇪_SE_瑞典
      - 🇳🇱_NL_荷兰
      - 🇸🇪_SE_瑞典_1
      - 🇹🇷_TR_土耳其
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大
      - 🇷🇺_RU_俄罗斯->🇳🇱_NL_荷兰
      - 🇻🇳_VN_越南
      - 🇲🇾_MY_马来西亚->🇬🇧_GB_英国
      - 🇺🇦_UA_乌克兰
      - 🇨🇦_CA_加拿大_1
      - 🇷🇴_RO_罗马尼亚
      - 🇳🇱_NL_荷兰_1
      - 🇺🇸_US_美国
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇹🇷_TR_土耳其_1
      - 🇳🇱_NL_荷兰_2
      - 🇷🇴_RO_罗马尼亚_1
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
